/// <reference types="react" />
import * as echartsCore from 'echarts/core';
import * as echarts from 'echarts';
declare type EChartsInitType = typeof echartsCore.init;
export declare type ECharts = typeof echartsCore | typeof echarts;
export declare type EChartsCoreOption = echartsCore.EChartsCoreOption;
export declare type EChartsOption = echarts.EChartsOption;
export declare type EChartsTheme = Parameters<EChartsInitType>['1'];
export declare type EChartsInitOpts = Parameters<EChartsInitType>['2'];
export declare type EchartsInstance = echartsCore.EChartsType;
export interface EChartsSetOptionOpts {
    notMerge?: boolean;
    lazyUpdate?: boolean;
    silent?: boolean;
    replaceMerge?: string | string[];
}
export interface EChartsLoadingConfig {
    type?: 'default';
    opts?: object;
}
export interface EChartsCoreProps<O extends EChartsCoreOption = EChartsCoreOption> {
    echarts?: ECharts;
    className?: string;
    style?: React.CSSProperties;
    option?: O;
    theme?: EChartsTheme;
    initOpts?: EChartsInitOpts;
    setOptionOpts?: EChartsSetOptionOpts;
    autoResize?: boolean;
    loading?: boolean;
    loadingConfig?: EChartsLoadingConfig;
    onChartInit?: (echartsInstance: EchartsInstance) => void;
    onEvents?: {
        [eventName: string]: (event: any) => void;
    };
}
export interface EChartsProps<O extends EChartsOption = any> extends Omit<EChartsCoreProps<O>, 'echarts'> {
}
export interface EChartsRef {
    echartsInstance: EchartsInstance;
}
export {};
